## org.apache.poi.hpbf.model
Class EscherStm

    java.lang.Object
      org.apache.poi.hpbf.model.HPBFPart
          org.apache.poi.hpbf.model.EscherPart
              org.apache.poi.hpbf.model.EscherStm

    public final class EscherStm

extends EscherPart

Field Summary

Fields inherited from class org.apache.poi.hpbf.model.HPBFPart
`data`

Constructor Summary
`EscherStm(DirectoryNode baseDir)`

Method Summary

Methods inherited from class org.apache.poi.hpbf.model.EscherPart
`generateData, getEscherRecords`

Methods inherited from class org.apache.poi.hpbf.model.HPBFPart
`getData, getPath, writeOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscherStm

    public EscherStm(DirectoryNode baseDir)
              throws java.io.IOException

Throws:
  `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.